use lib::{client::Client, message::{Message, MessageKind}, message_read::MessageReader};
use crossterm::{
    execute,
    terminal::{
        Clear,
        ClearType,
        enable_raw_mode,
        disable_raw_mode
    },
    event::Event,
};
use http_body_util::Empty;
use hyper::{client::conn::{self, http1::{self, handshake}}, Request};
use hyper::body::Bytes;
use hyper_util::rt::TokioIo;
use tokio::net::TcpStream;

#[allow(unreachable_code)]
#[tokio::main]
pub async fn main() -> anyhow::Result<()> {
    // let mut client = Client::connect("127.0.0.1", 8080).await?;
    // let local_address = client.stream.local_addr()?;

    // enable_raw_mode()?;
    // execute!(
    //     std::io::stdout(),
    //     Clear(ClearType::All),
    // )?;

    let body = reqwest::get("http://127.0.0.1:8080").await?.text().await?;
    println!("body = {body:?}");

    Ok(())
}
